> > > FastCGIインストール

FastCGIインストール

Movable Type 3.34 で FastCGIのサポートが強化されたというので、
早速使ってみることにした。

FastCGIのインストール
FastCGI Homeからソースをダウンロー
fcgi-2.4.0.tar.gz
解凍したディレクトリで以下を実行。
$ ./configure
$ make
# make install

次にApache用のモジュール
mod_fastcgiのインストール
mod_fastcgi-2.4.2.tar.gz
解凍して出来たディレクトリで以下を実行

$ cp Makefile.AP2 Makefile
$ make
$ make install
※Apache2の場合のみMakefile.AP2を使用する

ところが、makeのところでエラーが発生


調べてみると、Apache2.2系ではパッチを当てる必要があるらしい。
必要なパッチは、ここギコ!さんからダウンロード出来る。
ここギコ!: Apache2.2用mod_fastcgiパッチ

パッチをダウンロードしたら、
先ほどのmod_fastcgiを解凍したディレクトリで、

$ patch -p1 < fastcgi-apache22-patch
$ cp Makefile.AP2 Makefile
$ make
# make install
これでインストールできる。

次にApacheの設定を変更。

httpd.confに以下を追加。
LoadModule fastcgi_module modules/mod_fastcgi.so
AddHandler fastcgi-script .fcgi
FastCGIConfig -maxClassProcesses 4 -minProcesses 1
FastCgiIpcDir /tmp

Apacheを再起動して設定を反映させて完了。
Movable Type の設定変更は次のエントリーで書こうと思う。

Comments:0

コメントする

Trackbacks:0

Home > Computer > Linux > FastCGIインストール

Search

Feeds

Return to page top